Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.plumtree.remote.docfetch
Interface IDocFetchProvider

public interface IDocFetchProvider

An interface that allows the DocFetch servlet to verify access to the requested document prior to retrieval.

Method Summary
`IDocFetch` | `attachToDocument(java.lang.String sDocumentLocation, java.lang.String Locale, java.lang.String Signature, DocumentFormat fFormat, UserPrefs userPrefs, UserInfo userInfo)` Performs access-control checking on the document to be retrieved using either the user's current preferences or the information set in the portal Data Source editor.
`void` | `initialize(DataSourceInfo dsInfo)` Performs set up using the information configured in the Data Source editor in the portal.
`void` | `shutdown()` Cleans up any resources created during the retrieval of the requested document.

Method Detail

### initialize

    public void initialize(DataSourceInfo dsInfo)
                    throws ServiceException

  Performs set up using the information configured in the Data Source editor in the portal.

  Parameters:
    `dsInfo` - the configuration information set in the Data Source editor
  Throws:
    `ServiceException` - if an error occurred Note that values retrieved from the portal using IDocFetchProvider.initialize(DataSourceInfo dsInfo) will be decoded in the process. To prevent + from being decoded into a space and % from having indeterminate behavior, make sure that all values entered into the datasource using SCI pages are encoded using com.plumtree.remote.util.CSPCodec. Likewise, all values that have been encoded in the SCI datasource pages should be decoded when displayed with SCI using com.plumtree.remote.util.CSPCodec.
  See Also:
    `CSPCodec`

### attachToDocument

    public IDocFetch attachToDocument(java.lang.String sDocumentLocation,
                                      java.lang.String Locale,
                                      java.lang.String Signature,
                                      DocumentFormat fFormat,
                                      UserPrefs userPrefs,
                                      UserInfo userInfo)
                               throws ServiceException

  Performs access-control checking on the document to be retrieved using either the user's current preferences or the information set in the portal Data Source editor. If read access is allowed, returns the `IDocFetch` object used to retrieve the document.

  Parameters:
    `sDocumentLocation` - the backend-specific location of this document
    `Locale` - the string code for the locale to be used
    `Signature` - the signature of the document
    `fFormat` - the `DocumentFormat` flag to indicate whether the document is being accessed for indexing or retrieval (clickthrough)
    `userPrefs` - the requesting user's User Preference settings
    `userInfo` - the requesting user's User Information settings
  Returns:
    an instance of the implementation of `IDocFetch`
  Throws:
    `NoLongerExistsException` - if the document has been removed
    `NotAvailableException` - if the document is temporarily unavailable
    `NotInitializedException` - if the `IDocFetchProvider` is in an uninitialized state
    `AccessDeniedException` - if access to this document is denied
    `ServiceException` - if an error occurred

### shutdown

    public void shutdown()
                  throws ServiceException

  Cleans up any resources created during the retrieval of the requested document. This includes any temporary files.

  Throws:
    `ServiceException` - if an error occurred

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

For additional information on the IDK, including tutorials, blogs, code samples and more,see the AquaLogic User Interaction Developer Center on BEA dev2dev.

Copyright ©2007 BEA Systems, Inc. All Rights Reserved.